import { http } from '@/services/api/http'
import { buildUrl, endpoints } from '@/services/api/endpoints'

export const apiGetCounselorTickets = (params) =>
  http.get(endpoints.getCounselorTickets, { params })

export const apiShowCounselorTicket = (id) =>
  http.get(buildUrl(endpoints.showCounselorTicket, { id }))

export const apiSendCounselorTicketMessage = (id, payload) =>
  http.post(buildUrl(endpoints.sendCounselorTicketMessage, { id }), payload)

export const apiChangeCounselorTicketStatus = (id, payload) =>
  http.patch(buildUrl(endpoints.changeCounselorTicketStatus, { id }), payload)
